﻿using System.Text.Json.Serialization;

namespace RestaurantAPI.Models
{
    public class Restaurant
    {
        public string Id { get; set; } // Google Place ID
        public string PlaceId { get; set; } // Google Place ID for consistency
        public string Name { get; set; }
        public string Type { get; set; }
        public double Latitude { get; set; }
        public double Longitude { get; set; }
        public double Rating { get; set; }
        public int? PriceLevel { get; set; }

        [JsonPropertyName("photoReference")]
        public string PhotoReference { get; set; }

        [JsonPropertyName("googleMapsUrl")]
        public string GoogleMapsUrl { get; set; }
    }
}
